#include "stdafx.h"
#include "DVDSubEdit.h"
#include "MiscDialogs.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CApplyToAllDlg dialog


CApplyToAllDlg::CApplyToAllDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CApplyToAllDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CApplyToAllDlg)
	m_ApplyMove = FALSE;
	m_ApplyStart = FALSE;
	m_ApplyTransp = FALSE;
	m_ApplyBorders = FALSE;
	//}}AFX_DATA_INIT
}


void CApplyToAllDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CApplyToAllDlg)
	DDX_Check(pDX, IDC_APPLY_MOVE, m_ApplyMove);
	DDX_Check(pDX, IDC_APPLY_START, m_ApplyStart);
	DDX_Check(pDX, IDC_APPLY_TRANSP, m_ApplyTransp);
	DDX_Check(pDX, IDC_APPLY_BORDER, m_ApplyBorders);
	//}}AFX_DATA_MAP
}

void CApplyToAllDlg::ResetAllCheck()
{
	m_ApplyMove = m_ApplyStart = m_ApplyTransp = m_ApplyBorders = false;
}

bool CApplyToAllDlg::AnyChecked()
{
	return 	m_ApplyMove || m_ApplyStart || m_ApplyTransp || m_ApplyBorders;
}



BEGIN_MESSAGE_MAP(CApplyToAllDlg, CDialog)
	//{{AFX_MSG_MAP(CApplyToAllDlg)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CApplyToAllDlg message handlers
